diff -ruN vlc-0.8.6/configure.ac vlc-0.8.6-test/configure.ac
--- vlc-0.8.6/configure.ac	2006-12-08 18:32:53.000000000 -0700
+++ vlc-0.8.6-test/configure.ac	2007-06-28 14:39:06.000000000 -0600
@@ -5114,62 +5114,8 @@
 then
   dnl currently vlc plugin only needs headers, no xpcom support apis are actually used
   need_xpcom_libs=false
-  if test "${with_mozilla_sdk_path}" = "" -o "${with_mozilla_sdk_path}" = "no"
+  if test "${with_mozilla_sdk_path}" != "" -a "${with_mozilla_sdk_path}" != "no"
   then
-    AC_PATH_PROG(MOZILLA_CONFIG, mozilla-config, no)
-    if test "${MOZILLA_CONFIG}" = "no"
-    then
-      AC_PATH_PROG(SEAMONKEY_CONFIG, seamonkey-config, no)
-      if test "${SEAMONKEY_CONFIG}" = "no"
-      then
-        AC_PATH_PROG(XULRUNNER_CONFIG, xulrunner-config, no)
-        if test "${XULRUNNER_CONFIG}" = "no"
-        then
-          AC_MSG_ERROR([Please install the Mozilla development tools, mozilla-config was not found.])
-        else
-          have_xul=true
-          MOZILLA_CONFIG="${XULRUNNER_CONFIG}"
-        fi
-      else
-        MOZILLA_CONFIG="${SEAMONKEY_CONFIG}"
-      fi
-    fi
-
-    if ${MOZILLA_CONFIG} --defines | grep -q 'MOZ_X11=1'; then
-      LDFLAGS="${LDFLAGS_save} ${X_LIBS} ${X_PRE_LIBS}"
-      AC_CHECK_LIB(Xt,XtStrings,
-       [
-         VLC_ADD_CPPFLAGS([mozilla],[${X_CFLAGS}])
-         VLC_ADD_LDFLAGS([mozilla],[${X_LIBS} ${X_PRE_LIBS} -lXt -lX11 -lSM -lICE])
-       ],
-       [],
-       [[${X_LIBS} ${X_PRE_LIBS} -lX11 -lSM -lICE]
-      ])
-      LDFLAGS="${LDFLAGS_save}"
-    fi
-
-      mozilla=:
-      dnl Workaround for http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=150490
-      VLC_ADD_CPPFLAGS([mozilla],[[`${MOZILLA_CONFIG} --cflags plugin xpcom java | sed 's,-I\([^ ]*\)/mozilla/\([^ ]*\),-I\1/\2 -I\1/mozilla/\2,g' | xargs`]])
-      if ${need_xpcom_libs}; then
-         VLC_ADD_LDFLAGS([mozilla],[`${MOZILLA_CONFIG} --libs plugin xpcom`])
-      else
-         VLC_ADD_LDFLAGS([mozilla],[`${MOZILLA_CONFIG} --libs plugin`])
-      fi
-      CPPFLAGS="${CPPFLAGS_save} ${CPPFLAGS_mozilla}"
-      AC_CHECK_HEADERS(mozilla-config.h)
-      CPPFLAGS="${CPPFLAGS_save}"
-      MOZILLA_SDK_PATH="`${MOZILLA_CONFIG} --prefix`"
-      XPIDL_INCL="`${MOZILLA_CONFIG} --cflags plugin xpcom java` \
-      `${MOZILLA_CONFIG} --idlflags plugin xpcom java` "
-      if ${have_xul}
-      then
-        xpidl_path="`${MOZILLA_CONFIG} --prefix`/lib/xulrunner"
-      else
-        xpidl_path="`${MOZILLA_CONFIG} --prefix`/bin"
-      fi	
-    dnl End of moz_sdk = ""
-  else
     dnl special case for mingw32
     if test "${SYS}" = "mingw32"
     then
@@ -5205,15 +5151,83 @@
         XPIDL_INCL="${XPIDL_INCL} -I\"${real_mozilla_sdk}${mozilla_sdk_xpcom}/idl\""
       fi ])
     CPPFLAGS="${CPPFLAGS_save}"
+  else
+    dnl Trying with pkg-config
+    PKG_CHECK_MODULES(MOZILLA,[firefox-plugin firefox-xpcom],
+     [
+      CPPFLAGS="${CPPFLAGS_save} ${MOZILLA_CFLAGS}"
+      AC_CHECK_HEADERS(mozilla-config.h)
+      AC_CHECK_HEADERS(npapi.h, [], [AC_MSG_ERROR([Missing header file npapi.h.])] )
+      mozilla=:
+      VLC_ADD_CPPFLAGS([mozilla],[${MOZILLA_CFLAGS}])
+      CPPFLAGS="${CPPFLAGS_save}"
+     ],[
+      PKG_CHECK_MODULES(MOZILLA,[mozilla-plugin mozilla-xpcom],
+       [
+        CPPFLAGS="${CPPFLAGS_save} ${MOZILLA_CFLAGS}"
+        AC_CHECK_HEADERS(mozilla-config.h, [], [AC_MSG_ERROR([Missing header file mozilla-config.h.])] )
+        AC_CHECK_HEADERS(npapi.h, [], [AC_MSG_ERROR([Missing header file npapi.h.])] )
+        mozilla=:
+        VLC_ADD_CPPFLAGS([mozilla],[${MOZILLA_CFLAGS}])
+        CPPFLAGS="${CPPFLAGS_save}"
+       ],[
+        AC_PATH_PROG(MOZILLA_CONFIG, mozilla-config, no)
+        if test "${MOZILLA_CONFIG}" = "no"
+        then
+          AC_PATH_PROG(SEAMONKEY_CONFIG, seamonkey-config, no)
+          if test "${SEAMONKEY_CONFIG}" = "no"
+          then
+            AC_PATH_PROG(XULRUNNER_CONFIG, xulrunner-config, no)
+            if test "${XULRUNNER_CONFIG}" = "no"
+            then
+              AC_MSG_ERROR([Please install the Mozilla development tools, mozilla-config was not found.])
+            else
+              have_xul=true
+              MOZILLA_CONFIG="${XULRUNNER_CONFIG}"
+            fi
+          else
+            MOZILLA_CONFIG="${SEAMONKEY_CONFIG}"
+          fi
+        fi
+
+        if ${MOZILLA_CONFIG} --defines | grep -q 'MOZ_X11=1'; then
+          LDFLAGS="${LDFLAGS_save} ${X_LIBS} ${X_PRE_LIBS}"
+          AC_CHECK_LIB(Xt,XtStrings,
+           [
+             VLC_ADD_CPPFLAGS([mozilla],[${X_CFLAGS}])
+             VLC_ADD_LDFLAGS([mozilla],[${X_LIBS} ${X_PRE_LIBS} -lXt -lX11 -lSM -lICE])
+           ],
+           [],
+           [[${X_LIBS} ${X_PRE_LIBS} -lX11 -lSM -lICE]
+          ])
+          LDFLAGS="${LDFLAGS_save}"
+        fi
+
+          mozilla=:
+          dnl Workaround for http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=150490
+          VLC_ADD_CPPFLAGS([mozilla],[[`${MOZILLA_CONFIG} --cflags plugin xpcom java | sed 's,-I\([^ ]*\)/mozilla/\([^ ]*\),-I\1/\2 -I\1/mozilla/\2,g' | xargs`]])
+          if ${need_xpcom_libs}; then
+             VLC_ADD_LDFLAGS([mozilla],[`${MOZILLA_CONFIG} --libs plugin xpcom`])
+          else
+             VLC_ADD_LDFLAGS([mozilla],[`${MOZILLA_CONFIG} --libs plugin`])
+          fi
+          CPPFLAGS="${CPPFLAGS_save} ${CPPFLAGS_mozilla}"
+          AC_CHECK_HEADERS(mozilla-config.h)
+          CPPFLAGS="${CPPFLAGS_save}"
+          MOZILLA_SDK_PATH="`${MOZILLA_CONFIG} --prefix`"
+          XPIDL_INCL="`${MOZILLA_CONFIG} --cflags plugin xpcom java` \
+          `${MOZILLA_CONFIG} --idlflags plugin xpcom java` "
+          if ${have_xul}
+          then
+            xpidl_path="`${MOZILLA_CONFIG} --prefix`/lib/xulrunner"
+          else
+            xpidl_path="`${MOZILLA_CONFIG} --prefix`/bin"
+          fi	
+        dnl End of moz_sdk = ""
+       ])
+     ])
   fi
 
-  if test "${enable_mozilla}" != "false"
-  then
-    AC_PATH_PROG(XPIDL, xpidl, no, ${xpidl_path}:/usr/lib/mozilla:/usr/lib64/mozilla:/usr/lib/xulrunner:/usr/lib64/xulrunner)
-    if test "${XPIDL}" = "no"; then
-      AC_MSG_ERROR([Please install the Mozilla development tools, xpidl was not found.])
-    fi
-  fi 
 fi
 AM_CONDITIONAL(BUILD_MOZILLA,${mozilla})
 
